### Enumeration

# GWeather WindDirection

since: 4.0

#### Declaration

    enum GWeather.WindDirection

#### Description [src]

The direction of the prevailing wind. Composite values such as north-north-east indicate a direction between the two component value (north and north-east).

Available since: 4.0

#### Members

`GWEATHER_WIND_INVALID`

  Value not available.

  - Value: `-1`
  - Nickname: `invalid`
  - Available since: 4.0
`GWEATHER_WIND_VARIABLE`

  Variable throughout the day.

  - Value: `0`
  - Nickname: `variable`
  - Available since: 4.0
`GWEATHER_WIND_N`

  North.

  - Value: `1`
  - Nickname: `n`
  - Available since: 4.0
`GWEATHER_WIND_NNE`

  North-north-east.

  - Value: `2`
  - Nickname: `nne`
  - Available since: 4.0
`GWEATHER_WIND_NE`

  North-east.

  - Value: `3`
  - Nickname: `ne`
  - Available since: 4.0
`GWEATHER_WIND_ENE`

  East-north-east.

  - Value: `4`
  - Nickname: `ene`
  - Available since: 4.0
`GWEATHER_WIND_E`

  East.

  - Value: `5`
  - Nickname: `e`
  - Available since: 4.0
`GWEATHER_WIND_ESE`

  East-south-east.

  - Value: `6`
  - Nickname: `ese`
  - Available since: 4.0
`GWEATHER_WIND_SE`

  South-east.

  - Value: `7`
  - Nickname: `se`
  - Available since: 4.0
`GWEATHER_WIND_SSE`

  South-south-east.

  - Value: `8`
  - Nickname: `sse`
  - Available since: 4.0
`GWEATHER_WIND_S`

  South.

  - Value: `9`
  - Nickname: `s`
  - Available since: 4.0
`GWEATHER_WIND_SSW`

  South-south-west.

  - Value: `10`
  - Nickname: `ssw`
  - Available since: 4.0
`GWEATHER_WIND_SW`

  South-west.

  - Value: `11`
  - Nickname: `sw`
  - Available since: 4.0
`GWEATHER_WIND_WSW`

  West-south-west.

  - Value: `12`
  - Nickname: `wsw`
  - Available since: 4.0
`GWEATHER_WIND_W`

  West.

  - Value: `13`
  - Nickname: `w`
  - Available since: 4.0
`GWEATHER_WIND_WNW`

  West-north-west.

  - Value: `14`
  - Nickname: `wnw`
  - Available since: 4.0
`GWEATHER_WIND_NW`

  North-west.

  - Value: `15`
  - Nickname: `nw`
  - Available since: 4.0
`GWEATHER_WIND_NNW`

  North-north-west.

  - Value: `16`
  - Nickname: `nnw`
  - Available since: 4.0
`GWEATHER_WIND_LAST`

  Maximum value for the enumeration.

  - Value: `17`
  - Nickname: `last`
  - Available since: 4.0

#### Type functions

###### gweather_wind_direction_to_string

No description available.

since: 4.0

###### gweather_wind_direction_to_string_full

No description available.

since: 4.0